Loading...
Searching...
No Matches
XrdXrootdMonitor.cc File Reference
`#include <cerrno>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <ctime>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include "XrdVersion.hh"`
`#include "XrdNet/XrdNetMsg.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "Xrd/XrdScheduler.hh"`
`#include "XrdXrootd/XrdXrootdMonitor.hh"`
`#include "XrdXrootd/XrdXrootdMonFile.hh"`
`#include "XrdXrootd/XrdXrootdTrace.hh"`
Include dependency graph for XrdXrootdMonitor.cc:

Go to the source code of this file.

## Classes

class | XrdXrootdMonitor_Ident
class | XrdXrootdMonitor_Tick
class | XrdXrootdMonitorLock

## Namespaces

namespace | XrdXrootdMonInfo

## Macros

#define | setTMark(TM_mb, TM_en, TM_tm)
#define | setTMurk(TM_mb, TM_en, TM_tm)

## Functions

static int32_t | XrdXrootdMonInfo::InitStartTime ()

## Variables

int | XrdXrootdMonInfo::kySIDSZ = 0
int | XrdXrootdMonInfo::LidCGI [4] = {0}
int | XrdXrootdMonInfo::LidJSON [4] = {0}
XrdSysMutex | XrdXrootdMonInfo::seqMutex
XrdSysTrace | XrdXrootdTrace

## Macro Definition Documentation

## setTMark

#define setTMark | ( |  | TM_mb,
|  |  | TM_en,
|  |  | TM_tm )

Value:
TM_mb->info[TM_en].arg0.val = mySID; \
TM_mb->info[TM_en].arg0.id[0] = XROOTD_MON_WINDOW; \
TM_mb->info[TM_en].arg1.Window = \
TM_mb->info[TM_en].arg2.Window = static_cast<kXR_int32>(ntohl(TM_tm));
kXR_int32
int kXR_int32
Definition XPtypes.hh:89
XROOTD_MON_WINDOW
const kXR_char XROOTD_MON_WINDOW
Definition XrdXrootdMonData.hh:100
XrdXrootdMonInfo::mySID
long long mySID
Definition XrdXrootdMonFile.cc:49

Definition at line 130 of file XrdXrootdMonitor.cc.

#define setTMark(TM_mb, TM_en, TM_tm) \
TM_mb->info[TM_en].arg0.val = mySID; \
TM_mb->info[TM_en].arg0.id[0] = XROOTD_MON_WINDOW; \
TM_mb->info[TM_en].arg1.Window = \
TM_mb->info[TM_en].arg2.Window = static_cast<kXR_int32>(ntohl(TM_tm));

Referenced by XrdXrootdMonitor::XrdXrootdMonitor().

## setTMurk

#define setTMurk | ( |  | TM_mb,
|  |  | TM_en,
|  |  | TM_tm )

Value:
TM_mb->info[TM_en].arg0.Window = rdrWin; \
TM_mb->info[TM_en].arg1.Window = static_cast<kXR_int32>(TM_tm);

Definition at line 136 of file XrdXrootdMonitor.cc.

#define setTMurk(TM_mb, TM_en, TM_tm) \
TM_mb->info[TM_en].arg0.Window = rdrWin; \
TM_mb->info[TM_en].arg1.Window = static_cast<kXR_int32>(TM_tm);

Referenced by XrdXrootdMonitor::Redirect().

## Variable Documentation

## XrdXrootdTrace

XrdSysTrace XrdXrootdTrace

extern

Definition at line 96 of file XrdFrmAdminMain.cc.